=== image_transport_plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_transport_plugins)
find_package(catkin REQUIRED)
catkin_metapackage()
