=== debian/changelog ===
ros-image-transport-plugins (1.15.0-5) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 21:17:18 +0100

ros-image-transport-plugins (1.15.0-4) unstable; urgency=medium

  * Migrate to dh-ros (Closes: #1089193)
  * Wrap and sort Debian package files
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 14 Jan 2025 13:26:41 +0100

ros-image-transport-plugins (1.15.0-3) unstable; urgency=medium

  * Add Multi-Arch according to MA hinter
  * Source only upload for testing migration

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Sep 2023 06:02:49 +0200

ros-image-transport-plugins (1.15.0-2) unstable; urgency=medium

  * Added missing copyright attribution

 -- Dima Kogan <dkogan@debian.org>  Tue, 12 Sep 2023 11:55:43 -0700

ros-image-transport-plugins (1.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #1051499)

 -- Dima Kogan <dkogan@debian.org>  Tue, 12 Sep 2023 11:55:18 -0700
