=== debian/control ===
Source: ros-image-transport-plugins
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Dima Kogan <dkogan@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 catkin,
 libcv-bridge-dev,
 libdynamic-reconfigure-config-init-mutex-dev,
 libgtest-dev,
 libimage-transport-dev,
 libogg-dev,
 libopencv-dev,
 librosbag-dev,
 librostest-dev,
 libstd-srvs-dev,
 libtf-dev,
 libtheora-dev,
 libturbojpeg0-dev,
 pluginlib-dev,
 python3-all,
 python3-dynamic-reconfigure,
 ros-std-msgs,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_transport_plugins
Vcs-Git: https://salsa.debian.org/science-team/ros-image-transport-plugins.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-transport-plugins

Package: ros-compressed-depth-image-transport-dev
Replaces:
 libcompressed-depth-image-transport-dev,
Section: libdevel
Architecture: any
Depends:
 ros-compressed-depth-image-transport (= ${binary:Version}),
 ${misc:Depends},
Description: development files for compressed_depth_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_depth_image_transport
 provides a plugin to image_transport for transparently sending depth images
 (raw, floating-point) using PNG compression.
 .
 This package contains the development files.

Package: cl-theora-image-transport
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: LISP code for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the generated LISP library.

Package: python3-compressed-depth-image-transport
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 python-compressed-depth-image-transport,
Replaces:
 python-compressed-depth-image-transport,
Description: Python package for compressed_depth_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_depth_image_transport
 provides a plugin to image_transport for transparently sending depth images
 (raw, floating-point) using PNG compression.
 .
 This package contains the generated Python package.

Package: python3-compressed-image-transport
Section: python
Architecture: all
Breaks:
 python-compressed-image-transport,
Replaces:
 python-compressed-image-transport,
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python package for compressed_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_image_transport provides a
 plugin to image_transport for transparently sending images encoded as JPEG or
 PNG.
 .
 This package contains the generated Python package.

Package: python3-theora-image-transport
Section: python
Architecture: all
Breaks:
 python-theora-image-transport,
Replaces:
 python-theora-image-transport,
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python package for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the generated Python package.

Package: ros-compressed-depth-image-transport
Replaces:
 libcompressed-depth-image-transport,
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugins for compressed_depth_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_depth_image_transport
 provides a plugin to image_transport for transparently sending depth images
 (raw, floating-point) using PNG compression.
 .
 This package contains the plugins.

Package: ros-compressed-image-transport
Replaces:
 libcompressed-image-transport,
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugins for compressed_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_image_transport provides a
 plugin to image_transport for transparently sending images encoded as JPEG or
 PNG.
 .
 This package contains the plugins.

Package: ros-compressed-image-transport-dev
Replaces:
 libcompressed-image-transport-dev,
Section: libdevel
Architecture: any
Depends:
 ros-compressed-image-transport (= ${binary:Version}),
 ${misc:Depends},
Description: development files for compressed_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Compressed_image_transport provides a
 plugin to image_transport for transparently sending images encoded as JPEG or
 PNG.
 .
 This package contains the development files.

Package: ros-theora-image-transport
Replaces:
 libtheora-image-transport,
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugins for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the plugins.

Package: ros-theora-image-transport-dev
Replaces:
 libtheora-image-transport-dev,
Section: libdevel
Architecture: any
Depends:
 ros-theora-image-transport (= ${binary:Version}),
 ${misc:Depends},
Description: development files for theora_image_transport (Robot OS)
 This package is part of Robot OS (ROS). Theora_image_transport provides a
 plugin to image_transport for transparently sending an image stream encoded
 with the Theora codec.
 .
 This package contains the development files.
