=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = image_transport_plugins
export ROS_SKIP_TESTS = compressed_image_transport

%:
	dh $@ --buildsystem=ros
