=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-transport-plugins-$1.tar.gz%" \
    https://github.com/ros-perception/image_transport_plugins/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
